## shhmsg 1.3.4

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
-# $Id: Makefile,v 1.10 1997/05/27 21:11:06 sverrehu Exp $
+# $Id: Makefile,v 1.11 1998/07/05 16:57:03 sverrehu Exp $
 DIST		= shhmsg
 VERMAJ		= 1
 VERMIN		= 3
-VERPAT		= 3
+VERPAT		= 4
 VERSION		= $(VERMAJ).$(VERMIN).$(VERPAT)
 
 # Define SHARED as 1 for Linux shared ELF library
