## shhmsg 1.4.1

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
-# $Id: Makefile,v 1.11 1998/07/05 16:57:03 sverrehu Exp $
+# $Id: Makefile,v 1.12 2002/03/02 19:37:36 sverrehu Exp $
 DIST		= shhmsg
 VERMAJ		= 1
-VERMIN		= 3
-VERPAT		= 4
+VERMIN		= 4
+VERPAT		= 1
 VERSION		= $(VERMAJ).$(VERMIN).$(VERPAT)
 
 # Define SHARED as 1 for Linux shared ELF library
@@ -32,7 +32,7 @@
 
 INCDIR		= -I.
 
-CCOPT		= -s -Wall $(OPTIM) $(INCDIR)
+CCOPT		= -s -Wall $(OPTIM) $(INCDIR) -DHAVE_STRERROR
 
 # Object files to store in the library
 LIBOBJS		= vars.o streams.o progname.o \
@@ -61,7 +61,7 @@
 ifeq ($(SHARED),1)
 	ln -sf $(LIBTARGET) $(INSTLIBDIR)/$(LIBTARGETSOMAJ)
 	ln -sf $(LIBTARGETSOMAJ) $(INSTLIBDIR)/$(LIBTARGETSO)
-	echo "If you use GNU/Linux, remember to run ldconfig"
+	echo "Now run ldconfig if necessary."
 endif
 
 clean:
@@ -78,15 +78,15 @@
 DISTFILES	= README INSTALL shhmsg.txt CREDITS ChangeLog \
 		  Makefile $(LSMFILE) \
 		  $(LIBHEAD) \
-          	  internal.h \
-          	  errno.c \
-          	  error.c \
-          	  fatal.c \
-          	  message.c \
-          	  progname.c \
+		  internal.h \
+		  errno.c \
+		  error.c \
+		  fatal.c \
+		  message.c \
+		  progname.c \
 		  streams.c \
 		  vars.c \
-          	  verbose.c
+		  verbose.c
 
 $(LSMFILE): $(DIST).lsm.in
 	VER=$(VERSION); \
