=== debian/changelog ===
shhmsg (1.4.1-5) unstable; urgency=low

  * QA upload.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Add debian/patches/01-makefile-buildflags to use CFLAGS and LDFLAGS as
    set by dpkg-buildflags.
  * Add 02-no-ftbfs-format-security to build properly with hardened security
    flags (-Werror=format-security).
  * debian/control:
    - Maintainer field set to QA Group.
    - Bump Standards-Version to 3.9.5.
    - Replace ${Source-Version} with ${binary:Version}.
    - Add ${misc:Depends} to dependencies.
    - Set libshhmsg1-dev's section to libdevel.
  * debian/rules:
    - Replace usage of dh_clean -k with dh_prep.
    - Call dh_makeshlibs before dh_installdeb.
    - Add build-{arch,indep}.
  * debian/libshhmsg1-dev.doc-base: remove Apps/ from doc-base section.
  * Debhelper compatibility level set to 9.
  * Remove empty maintainer script libshhmsg1-dev.prerm.

 -- Emanuele Rocca <ema@debian.org>  Sun, 19 Jan 2014 13:41:04 +0100

shhmsg (1.4.1-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Get rid of the /usr/doc link in postinst (Closes: #359523,#359524).
  * Change the #DEBHELPER# instance in a comment in libshhmsg1-dev.postinst
    and libshhmsg1-dev.prerm, it was confusing debhelper (Closes: #315468).

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Mon, 17 Jul 2006 11:32:22 +0200

shhmsg (1.4.1-4) unstable; urgency=low

  * libshhmsg1-dev.postinst, libshhmsg1-dev.prerm: new files, use /bin/bash
    instead of /bin/sh as the interpreter because their #DEBHELPER# part
    uses 'command -v'

 -- Oohara Yuuma <oohara@debian.org>  Sun, 26 May 2002 15:54:47 +0900

shhmsg (1.4.1-3) unstable; urgency=low

  * Hi Junichi Uekawa!
  * shhmsg is renamed to libshhmsg1 and shhmsg-dev is renamed to
    libshhmsg1-dev because soname is the right thing (now the testing
    script is stopped, so there is no risk of breaking woody)
  * Makefile: added DEB_BUILD_OPTIONS "debug" and "nostrip" support

 -- Oohara Yuuma <oohara@debian.org>  Thu,  9 May 2002 19:47:53 +0900

shhmsg (1.4.1-2) unstable; urgency=low

  * Makefile: added -D_REENTRANT according to the Policy
  * debian/control: added the URL of the upstream webpage to Description:

 -- Oohara Yuuma <oohara@debian.org>  Wed, 24 Apr 2002 03:30:57 +0900

shhmsg (1.4.1-1) unstable; urgency=low

  * New upstream release
  * debian/copyright: updated upstream information

 -- Oohara Yuuma <oohara@debian.org>  Fri,  8 Mar 2002 00:38:08 +0900

shhmsg (1.4.0-1) unstable; urgency=low

  * new upstream release (closes: #130421) (debian/copyright is already
    updated in 1.3.4-5)
  * progname.c: msgSetName() no longer initializes _msgErrorStream,
    _msgVerboseStream or _msgMessageStream because upstream vars.c takes
    care of them
  * stream.c: replaced _msg*Stream with GET_*_STREAM to fix the
    return value of msgSet*Stream (they must return the default
    stream when called first time)
  * internal.h: s/MSG_DEFAULT_MESSAGE_STREAM/MSG_DEFAULT_ERROR_STREAM/
    for GET_ERROR_STREAM
  * debian/copyright: updated the upstream website information

 -- Oohara Yuuma <oohara@debian.org>  Tue, 19 Feb 2002 17:12:30 +0900

shhmsg (1.3.4-5) unstable; urgency=low

  * debian/control: changed the maintainer's email address
  * debian/copyright: updated the upstream webpage

 -- Oohara Yuuma <oohara@debian.org>  Tue, 19 Feb 2002 04:58:25 +0900

shhmsg (1.3.4-4) unstable; urgency=low

  * debian/control: dropped the version condition from Depends: libc6-dev
    of shhmsg-dev because libc6-dev is a virtual package on some
    architectures (provided by libc6.1-dev on alpha and by libc0.2-dev
    on hurd) and versioned dependency requires a real package (yet another
    reason for a versioned Provides:) (closes: #133007)
  * debian/control: the short description now begins with a lower case
  * debian/shhmsg-dev.doc-base: new file, added for doc-base support
  * debian/rules: fixed typos in comments

 -- Oohara Yuuma <oohara@libra.interq.or.jp>  Sat,  9 Feb 2002 14:50:47 +0900

shhmsg (1.3.4-3) unstable; urgency=low

  * new maintainer
  * adopting an orphaned package (closes: #118143)
  * retrieved .orig.tar.gz from the potato archive
    (previous version was packaged incorrectly as a Debian navive package,
     the upstream has disappeared, and .orig.tar.gz has already been removed
     from unstable)
  * debian/rules: set the symlink "libshhmsg.so" to libshhmsg.so.1
    instead of libshhmsg.so.1.3.4
  * shhmsg-dev.dirs, shhmsg.dirs: new files, to use dh_installdirs
    more easily
  * shhmsg-dev.docs, shhmsg.docs: new files, installing more documents
  * debian/rules: set DH_COMPAT to 2, moved the build directory of
    shhmsg-dev (formerly shhmsg-dev) from debian/tmp to debian/shhmsg-dev
  * debian/control: added (>= 2) to Build-Depends: debhelper
  * debian/rules: dropped -s from install, let dh_strip do stripping
    (previous version incorrectly stripped *.a and broke it)
  * debian/rules: added the upstream changelog to dh_installchangelogs
  * debian/Makefile, debian/hello.c: new files, example source code
  * debian/shhmsg-dev.examples: new file, installing debian/hello.c
  * debian/rules: added dh_installexamples
  * debian/control: refined description
  * debian/control: added Depends: shhmsg (= ${Source-Version}) and
    libc6-dev (>= 2.2.4-7) to shhmsg-dev
  * debian/rules: added -V to dh_makeshlibs
  * Makefile: added -D_REENTRANT according to the Policy
  * debian/rules: run dh_shlibdeps and dh_gencontrol after dh_makeshlibs
    (dpkg-shlibdeps must wait for shlibs files in the build directory)

 -- Oohara Yuuma <oohara@libra.interq.or.jp>  Tue,  5 Feb 2002 15:35:45 +0900

shhmsg (1.3.4-2.2) unstable; urgency=low

  * Orphaned package.

 -- Jakob Borg <jakob@debian.org>  Sat,  3 Nov 2001 14:58:41 +0100

shhmsg (1.3.4-2.1) unstable; urgency=low

  * NMU
  * debian/control:
    - added build-dependency on debhelper
    - bumped Standards-Version (lintian-clean)
  * debian/rules:

