=== debian/rules ===
#!/usr/bin/make -f

# Uses debhelper. Based on example by Joey Hess.

CFLAGS="`dpkg-buildflags --get CFLAGS`"
LDFLAGS="`dpkg-buildflags --get LDFLAGS`"

build: build-arch build-indep

build-arch: build-stamp
build-indep: build-stamp

build-stamp:
	dh_testdir
	$(MAKE)
	$(MAKE) clean
	SHARED=1 $(MAKE) CFLAGS=$(CFLAGS) LDFLAGS=$(LDFLAGS)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(MAKE) clean
	rm -f lib*
	dh_clean libshhmsg.a

binary-indep: build

binary-arch: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

# runtime (shhmsg)
	install libshhmsg.so.1.4.1 debian/libshhmsg1/usr/lib
	ln -s libshhmsg.so.1.4.1 \
  debian/libshhmsg1/usr/lib/libshhmsg.so.1

# dev (shhmsg-dev)
	install -m644 libshhmsg.a debian/libshhmsg1-dev/usr/lib
	install -m644 shhmsg.h debian/libshhmsg1-dev/usr/include
	ln -s libshhmsg.so.1 \
  debian/libshhmsg1-dev/usr/lib/libshhmsg.so

	dh_installdocs
	dh_installchangelogs ChangeLog
	dh_installexamples
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs -V
	dh_installdeb
# You must run dpkg-shlibdeps (dh_shlibdeps) after you installed
# shlibs files into the build directory (dh_makeshlibs).
# See the footnote of the Policy, section 9.2 for details.
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
