## shhmsg 1.4.2

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,11 @@
-# $Id: Makefile,v 1.12 2002/03/02 19:37:36 sverrehu Exp $
 DIST		= shhmsg
 VERMAJ		= 1
 VERMIN		= 4
-VERPAT		= 1
+VERPAT		= 2
 VERSION		= $(VERMAJ).$(VERMIN).$(VERPAT)
 
 # Define SHARED as 1 for Linux shared ELF library
-#SHARED		= 1
+SHARED		= 0
 
 ifeq ($(SHARED),1)
 LIBTARGET	= lib$(DIST).so.$(VERSION)
@@ -32,7 +31,7 @@
 
 INCDIR		= -I.
 
-CCOPT		= -s -Wall $(OPTIM) $(INCDIR) -DHAVE_STRERROR
+CCOPT		= -s -Wall -Werror=format-security $(OPTIM) $(INCDIR) -DHAVE_STRERROR
 
 # Object files to store in the library
 LIBOBJS		= vars.o streams.o progname.o \
