=== debian/changelog ===
shhmsg (1.4.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make.
    (Closes: #911251)

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 27 Jan 2025 00:46:12 +0100

shhmsg (1.4.2-1) unstable; urgency=medium

  * New package maintainer (Closes: #554255).
  * New upstream relase.
  * Bump S-V to 3.9.6.
  * Lintian cleaning.
  * Drop 02-no-ftbfs-format-security patch. It is already included
    upstream.

 -- Chrysostomos Nanakos <cnanakos@debian.org>  Sat, 01 Aug 2015 12:33:16 +0300
