=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: shhmsg
 Section: devel
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Chrysostomos Nanakos <cnanakos@debian.org>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
+Homepage: http://shh.thathost.com/
 
 Package: libshhmsg1-dev
 Architecture: any
 Section: libdevel
-Priority: optional
 Depends: ${misc:Depends}, libshhmsg1 (= ${binary:Version}), libc6-dev
 Provides: libshhmsg-dev
 Replaces: libshhmsg-dev, shhmsg-dev
@@ -20,13 +20,10 @@
  .
  This package contains what you need for compiling sources that
  use this library and docs for using it in your own code.
- .
-  Upstream webpage: http://shh.thathost.com/
 
 Package: libshhmsg1
 Architecture: any
 Section: libs
-Priority: optional
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Replaces: shhmsg
 Conflicts: shhmsg
@@ -36,5 +33,3 @@
  and prepend the program name if necessary.
  .
  This package contains what you need to run programs that use this library.
- .
-  Upstream webpage: http://shh.thathost.com/
