=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,10 @@
 #!/usr/bin/make -f
 
 # Uses debhelper. Based on example by Joey Hess.
-
-CFLAGS="`dpkg-buildflags --get CFLAGS`"
-LDFLAGS="`dpkg-buildflags --get LDFLAGS`"
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 build: build-arch build-indep
 
@@ -12,9 +13,9 @@
 
 build-stamp:
 	dh_testdir
-	$(MAKE)
+	CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" dh_auto_build
 	$(MAKE) clean
-	SHARED=1 $(MAKE) CFLAGS=$(CFLAGS) LDFLAGS=$(LDFLAGS)
+	SHARED=1 CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" dh_auto_build
 	touch build-stamp
 
 clean:
@@ -34,8 +35,8 @@
 	dh_installdirs
 
 # runtime (shhmsg)
-	install libshhmsg.so.1.4.1 debian/libshhmsg1/usr/lib
-	ln -s libshhmsg.so.1.4.1 \
+	install libshhmsg.so.1.4.2 debian/libshhmsg1/usr/lib
+	ln -s libshhmsg.so.1.4.2 \
   debian/libshhmsg1/usr/lib/libshhmsg.so.1
 
 # dev (shhmsg-dev)
